#include <stdio.h>

/* libfawk configuration */
typedef double fawk_num_t;
typedef long fawk_refco_t;
#define FAWK_API static
/*#define FAWK_DISABLE_FAWK_PRINT*/

/* include the single-c-source variant */
#include "libfawk_sc_vm/libfawk_sc_vm.c"

void libfawk_error(fawk_ctx_t *ctx, const char *str, const char *loc_fn, long loc_line, long loc_col)
{
	fprintf(stderr, "Error: %s at %s %ld:%ld\n", str, loc_fn, loc_line, loc_col);
}

static int getch1(fawk_ctx_t *ctx, fawk_src_t *src)
{
	return getchar();
}

int main()
{
	fawk_ctx_t ctx;
	int res;

	fawk_init(&ctx);

	ctx.parser.get_char = getch1;

	fawk_uninit(&ctx);

	return 0;
}
